"use strict";

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _slicedToArray = function () { function sliceIterator(arr, i) { var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"]) _i["return"](); } finally { if (_d) throw _e; } } return _arr; } return function (arr, i) { if (Array.isArray(arr)) { return arr; } else if (Symbol.iterator in Object(arr)) { return sliceIterator(arr, i); } else { throw new TypeError("Invalid attempt to destructure non-iterable instance"); } }; }();

exports.flippyClass = flippyClass;
function flippyClass(bool, base, truthy, falsy) {
	return base + " " + (bool ? base + "--" + truthy : base + "--" + falsy);
}

var flippyTailClass = exports.flippyTailClass = function flippyTailClass(base) {
	for (var _len = arguments.length, args = Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {
		args[_key - 1] = arguments[_key];
	}

	var tail = [];
	args.forEach(function (arr) {
		var mod = "" + (arr[0] ? "--" + arr[1] : "--" + arr[2]);
		tail.push(mod);
	});
	return base + " " + base + tail.join("");
};

var styleElement = exports.styleElement = function styleElement(element, style) {
	if (document.querySelector(element)) {
		Object.entries(style).map(function (valuePair) {
			var _valuePair = _slicedToArray(valuePair, 2),
			    key = _valuePair[0],
			    value = _valuePair[1];

			document.querySelector(element).style[key] = value;
		});
	}
};

var getClassName = exports.getClassName = function getClassName(base, extra, override) {
	return extra ? base + " " + extra : override ? override : base;
};