'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.defaultStyles = exports.styleSheet = undefined;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var styleSheet = exports.styleSheet = '\n@media screen and(min - width : 360 px) {\n  .modaldialog__container {\n    max - height: 90 vh;\n    margin: 3.3 rem;\n}\n@media screen and(max - width : 360 px) {\n  .modaldialog__closemodalbutton {\n    right: -0.5rem;\n    top: -0.5rem;}\n}\n@media screen and(min - width : 360 px) {\n  .modaldialog__closemodalbutton {\n    right: -3 rem;\n    top: -2 rem;}\n}';
// export const customStyleA = () => (
// 	<style jsx>{`
// 		.modaldialog {
// 			$border-color: #575757;
// 			&__container {
// 				position: relative;
// 				align-items: center;
// 				cursor: default;
// 				display: flex;
// 				flex: 0 1 auto;
// 				flex-direction: column;
// 				opacity: 1;
// 				color: black;
// 				background: rgba(245, 245, 245, 0.85);
// 				border: 1px solid $border-color;
// 				z-index: 2;
// 				@include media-min(360px) {
// 					max-height: 90vh;
// 					margin: 3.2rem;
// 				}
// 				border-radius: 0.5rem;
// 				box-shadow: 0px 11px 15px -7px rgba(0, 0, 0, 0.2), 0px 24px 38px 3px rgba(0, 0, 0, 0.14),
// 					0px 9px 46px 8px rgba(0, 0, 0, 0.12);
// 			}
// 			&__header {
// 				min-width: 30.4rem;
// 				svg {
// 					margin-right: 1.6rem;
// 				}
// 				border-radius: 0.5rem 0.5rem 0 0;
// 				align-items: center;
// 				font-family: 'PT Sans';
// 				font-size: 2rem;
// 				margin: 0;
// 				padding: 2rem 2rem 1.5rem 2rem;
// 				border-bottom: 0.5rem solid rgb(240, 240, 240);
// 				background: rgb(250, 250, 250);
// 			}
// 			&__closemodalbutton {
// 				@include media-max(360px) {
// 					right: 0.5rem;
// 					top: 0.5rem;
// 				}
// 				@include media-min(360px) {
// 					right: -3rem;
// 					top: -2rem;
// 				}
// 				cursor: pointer;
// 				position: absolute;
// 				background: white;
// 				border-radius: 100%;
// 				display: flex;
// 				flex-direction: row-reverse;
// 			}
// 			&__buttons {
// 				border-top: 1px solid $border-color;
// 				padding: 0.5rem 0;
// 				width: 100%;
// 				background: white;
// 				display: flex;
// 				align-items: center;
// 				justify-content: flex-end;
// 			}
// 			&__body {
// 				display: flex;
// 				flex-direction: column;
// 				justify-content: center;
// 				min-width: 32rem;
// 				background: rgb(100, 100, 253);
// 				flex: 1 1 auto;
// 				padding: 2.4rem 1.2rem;
// 				overflow-y: auto;
// 			}
// 		}
// 	`}</style>
// )

var defaultStyles = exports.defaultStyles = {
	container: {
		position: 'relative',
		alignItems: 'center',
		cursor: 'default',
		display: 'flex',
		flex: '0 1 auto',
		flexDirection: 'column',
		opacity: '1',
		color: 'black',
		background: 'rgba(245, 245, 245, 0.85)',
		border: '1px solid #575757',
		zIndex: '2',
		borderRadius: '0.5rem'
	},
	body: {
		display: 'flex',
		flexDirection: 'column',
		justifyContent: 'center',

		background: '#fdfdfd',
		flex: '1 1 auto',
		padding: '2.4rem 1.2rem',
		overflowY: 'auto'
	},
	background: {
		position: 'fixed',
		height: '100%',
		top: '0',
		left: '0',
		width: '100%',
		background: 'rgba(0, 0, 0, 0.5)',
		zIndex: '4',
		opacity: '1',
		display: 'flex',
		alignItems: 'center',
		justifyContent: 'center',
		WebkitTapHighlightColor: 'transparent'
	},
	header: {
		fontSize: '1.25rem',
		margin: '0',
		padding: '2rem 2rem 1.5rem 2rem',
		borderBottom: '0.5rem solid #f0f0f0',
		background: '#fafafa'
	},
	buttons: {
		borderTop: '1px solid #575757',
		padding: '0.5rem 0',
		width: '100%',
		background: 'white',
		display: 'flex',
		alignItems: 'center',
		justifyContent: 'flex-end'
	},
	closemodalbutton: {
		top: '0.5rem',
		right: '0.5rem',
		cursor: 'pointer',
		position: 'absolute',
		background: 'white',
		borderRadius: '100%',
		display: 'flex',
		flexDirection: 'row-reverse'
	}
};